gora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lewis John McGibbney (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GORA-144) Upgrade gora so to be compatible with hadoop 2
Date Sat, 09 Jun 2012 12:25:43 GMT

    [ https://issues.apache.org/jira/browse/GORA-144?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13292318#comment-13292318
] 

Lewis John McGibbney commented on GORA-144:
-------------------------------------------

We made the decision to upgrade the Gora hadoop deps to 1.0.1. Nutchgora currently ships with
1.0.0 iirc. Yes it will certainly be on the roadmap to shift to the 2.X Alpha release but
do you think that this is heavily weighted on the upgrade of the Avro library? 

                
> Upgrade gora so to be compatible with hadoop 2
> ----------------------------------------------
>
>                 Key: GORA-144
>                 URL: https://issues.apache.org/jira/browse/GORA-144
>             Project: Apache Gora
>          Issue Type: Task
>            Reporter: raf shin
>
> TaskAttemptContext and JobContext which were a class in previous hadoop versions are
now interfaces.
> Compiling gora with new hadoop version 2 fails.
> BinaryDecoder and BinaryEncoder in Avro 1.5.4 are also now interfaces which were previously
class.
> avro.ipc.ByteBufferOutputStream and avro.ipc.ByteBufferInputStream are also moved to
avro.util package.
> There might be much more incompatibilities there which we have not seen yet.
> We gave up upgrading our nutchgora to the new hadoop 2 version.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message